diff --git a/CMakeLists.txt b/CMakeLists.txt
index 00eb54b3..0ac61a30 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -1251,6 +1251,7 @@ set_src(GAME_SHARED GLOB src/game
   layers.cpp
   layers.h
   mapitems.h
+  teecomp_vars.h
   tuning.h
   variables.h
   version.h
@@ -1349,6 +1350,7 @@ if(CLIENT)
     components/menus_popups.cpp
     components/menus_settings.cpp
     components/menus_start.cpp
+    components/menus_teecomp.cpp
     components/motd.cpp
     components/motd.h
     components/nameplates.cpp
@@ -1380,8 +1382,10 @@ if(CLIENT)
     render.cpp
     render.h
     render_map.cpp
+    teecomp.cpp
+    teecomp.h
     ui.cpp
-    ui.h
+ui.h
   )
   set_src(GAME_EDITOR GLOB src/game/editor
     auto_map.cpp
diff --git a/src/game/client/components/menus.h b/src/game/client/components/menus.h
index 72e6e9f1..1b1f9aee 100644
--- a/src/game/client/components/menus.h
+++ b/src/game/client/components/menus.h
@@ -678,7 +678,8 @@ private:
 	{
 		int m_HLPicker;
 		CMenus::CButtonContainer m_aButtons[12];
-		bool m_Enabled = true;
+		bool m_Enabled;
+		HSLPickerState() : m_Enabled(true) {};
 	};
 	void RenderFlag(int Team, vec2 Pos);
 	ivec4 RenderHSLPicker(CUIRect MainView, int Color, bool UseAlpha, bool& Modified, HSLPickerState& State); // intermediary, used by teecomp
@@ -724,8 +725,9 @@ private:
 	{
 		CListBoxState ListBoxState;
 		const CSkins::CSkin *pSelectedSkin;
-		bool RefreshSkinSelector = true;
+		bool RefreshSkinSelector;
 		sorted_array<const CSkins::CSkin *> paSkinList;
+		SkinNameListState() : RefreshSkinSelector(true) {};
 	};
 	bool RenderSkinNameList(CUIRect MainView, char* pSkinConfig, SkinNameListState* pState);
 	
diff --git a/src/game/client/components/menus_teecomp.cpp b/src/game/client/components/menus_teecomp.cpp
index f80a0e65..5ece2e25 100644
--- a/src/game/client/components/menus_teecomp.cpp
+++ b/src/game/client/components/menus_teecomp.cpp
@@ -267,7 +267,7 @@ void CMenus::RenderSettingsTeecompSkins(CUIRect MainView)
 
 	RenderFlag(TEAM_BLUE, vec2(Button.x+40.0f, Button.y-8.0f));
 
-	CUIRect SkinSelection, List;
+	CUIRect SkinSelection;
 
 	// Custom colors team 1
 	bool CustomColorsTeam1 = g_Config.m_TcColoredTeesTeam1Hsl != -1;
